import { BehaviorSubject } from 'rxjs';
import { ThemesEnum, FontSizeEnum } from '../models';
export declare class ThemeService {
    activeTheme: BehaviorSubject<ThemesEnum>;
    invertColor: BehaviorSubject<boolean>;
    fontSize: BehaviorSubject<FontSizeEnum>;
    constructor();
    setActiveTheme(themeId: number): void;
    setFontSize(fontSizeInPx: FontSizeEnum): void;
    toggleInverseColor(): void;
}
